{
    attributes = (
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_SEQ_ARR_ANNUL"; 
            externalType = NUMBER; 
            name = congeAnnulOrdre; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NO_SEQ_ARRETE"; 
            externalType = NUMBER; 
            name = congeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ANNULATION"; 
            externalType = DATE; 
            name = dAnnulation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARRETE_CG_AL4"; 
            externalType = DATE; 
            name = dateArrete; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_DEB_CG_AL4"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_CG_AL4"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_COM_MED_CG_AL4"; 
            externalType = DATE; 
            name = dComMed; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_CG_AL4"; 
            externalType = VARCHAR2; 
            name = noArrete; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_ANNULATION"; 
            externalType = VARCHAR2; 
            name = noArreteAnnulation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "NO_DOSSIER_PERS"; 
            externalType = NUMBER; 
            name = noDossierPers; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TEM_CONFIRME"; 
            externalType = CHAR; 
            name = temConfirme; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            columnName = "TEM_EN_CAUSE"; 
            externalType = CHAR; 
            name = temEnCause; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            columnName = "TEM_GEST_ETAB"; 
            externalType = CHAR; 
            name = temGestEtab; 
            valueClassName = NSString; 
            valueType = c; 
            width = 1; 
        }, 
        {
            columnName = "TEM_PROLONG_CG_AL4"; 
            externalType = VARCHAR2; 
            name = temProlong; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_REQUALIF_CG_AL4"; 
            externalType = VARCHAR2; 
            name = temRequalif; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (congeOrdre); 
    className = "org.cocktail.connecteur.serveur.modele.entite_destination.conges.EOMangueCongeAl4"; 
    classProperties = (
        commentaire, 
        dAnnulation, 
        dateArrete, 
        dateDebut, 
        dateFin, 
        dComMed, 
        dCreation, 
        dModification, 
        individu, 
        noArrete, 
        noArreteAnnulation, 
        temConfirme, 
        temEnCause, 
        temGestEtab, 
        temProlong, 
        temRequalif, 
        temValide, 
        toCongeAnnulation
    ); 
    externalName = "MANGUE.CONGE_AL4"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            commentaire, 
            dAnnulation, 
            dateArrete, 
            dateDebut, 
            dateFin, 
            dComMed, 
            individu, 
            noArrete, 
            noArreteAnnulation, 
            temConfirme, 
            temEnCause, 
            temGestEtab, 
            temProlong, 
            temRequalif, 
            temValide
        ); 
    }; 
    name = MangueCongeAl4; 
    primaryKeyAttributes = (congeOrdre); 
    relationships = (
        {
            destination = GrhumIndividu; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noDossierPers; }); 
            name = individu; 
        }, 
        {
            destination = MangueCongeAl4; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = congeOrdre; sourceAttribute = congeAnnulOrdre; }); 
            name = toCongeAnnulation; 
        }
    ); 
    userInfo = {"_EntityModeler" = {parentClassName = MangueCongeAvecArreteAnnulation; }; }; 
}
